package com.github.wxiaoqi.security.common.filter;

import ch.qos.logback.classic.spi.ILoggingEvent;
import ch.qos.logback.core.filter.Filter;
import ch.qos.logback.core.spi.FilterReply;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class AcceptFilter extends Filter<ILoggingEvent> {

//	@Autowired
//	MailServiceImpl mailService;
	@Override
	public FilterReply decide(ILoggingEvent event) {
		if(event.getLoggerName().startsWith("com.xxfc.platform") || event.getLoggerName().startsWith("com.github.wxiaoqi") || event.getLoggerName().contains("Exception")) {
			if(event.getLoggerName().contains("Exception") || event.getLoggerName().contains("ERROR")) {
				//邮件日志
//				try {
//					log.info("发送异常邮件，邮件内容：【服务器异常】： {}", event.getLoggerName() + ":" +event.getMessage());
//					mailService.sendSimpleMail("jiaoruizhen@126.com", "服务器异常", event.getLoggerName() + ":" +event.getMessage());
//				}catch (Exception e) {
//					log.error("发送异常邮件失败，异常信息： {}", e);
//				}
			}
			return FilterReply.ACCEPT;
		} else {
			return FilterReply.DENY;
		}
	}
}